--- a/arch/arm/boot/dts/kirkwood-l-50.dts
+++ b/arch/arm/boot/dts/kirkwood-l-50.dts
@@ -18,6 +18,13 @@
 		reg = <0x00000000 0x20000000>;
 	};
 
+	aliases {
+		led-boot = &led_status_green;
+		led-failsafe = &led_status_red;
+		led-running = &led_status_green;
+		led-upgrade = &led_status_red;
+	};
+
 	chosen {
 		bootargs = "console=ttyS0,115200n8";
 		stdout-path = &uart0;
@@ -95,12 +102,12 @@
 	leds {
 		compatible = "gpio-leds";
 
-		status_green {
+		led_status_green: status_green {
 			label = "l-50:green:status";
 			gpios = <&gpio1 6 GPIO_ACTIVE_LOW>;
 		};
 
-		status_red {
+		led_status_red: status_red {
 			label = "l-50:red:status";
 			gpios = <&gpio3 2 GPIO_ACTIVE_LOW>;
 		};
@@ -349,13 +356,8 @@
 	};
 
 	partition@100000 {
-		label = "kernel-1";
-		reg = <0x00100000 0x00800000>;
-	};
-
-	partition@900000 {
-		label = "rootfs-1";
-		reg = <0x00900000 0x07100000>;
+		label = "ubi";
+		reg = <0x00100000 0x07900000>;
 	};
 
 	partition@7a00000 {
